Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236802

Summary: Line comand is missing
Product: [Fedora] Fedora Reporter: Arthur Pemberton <pembo13>
Component: util-linuxAssignee: Karel Zak <kzak>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-08 07:12:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Arthur Pemberton 2007-04-17 18:46:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3

Description of problem:
The line command is missing form the rpm package, while there seems to be no mention of its removal. The upstream package seems to still contain line.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.46

How reproducible:
Always


Steps to Reproduce:
1. Install util-linux package
2. run which line


Actual Results:
No path to which found

Expected Results:
Path to which found

Additional info:

Comment 1 Karel Zak 2007-05-29 08:01:02 UTC
Yeah, I know about this issue and I agree that we should to follow upstream.
I'll try to resolve this problem for Fedora 8 (it might be marked as deprecated
by upstream too). Thanks.

Comment 2 Bug Zapper 2008-04-04 06:52:56 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Arthur Pemberton 2008-04-04 07:06:29 UTC
I don't have my F8 test machine online and my desktop is F7. User at
irc://freenode/fedora confirms that 'util-linux-ng-2.13.1-1.fc8' contains no
'line' command.

Comment 4 Arthur Pemberton 2008-09-07 04:52:07 UTC
util-linux-ng-2.14.1-0.1.fc10.i386 has no line command

Comment 5 Karel Zak 2008-09-07 10:36:18 UTC
Arthur, why do you need this command? Frankly, I don't understand a difference between line(1) and "head -n 1 -". I don't want to add to the distribution a new command without a real purpose. It seems that only you're asking for the command.

Comment 6 Arthur Pemberton 2008-09-07 19:34:18 UTC
I don't specifically need this command. I came across a sript which required it, noticed it wasn't in the Fedora package, found that it was in the upstream packaged, and assumed that it was a bug as Fedora tends to stick with what upstream ships.

So to be clear, I do not specifically need it -- feel free to close this issue if it has been left out on purpose and not as a result of a bug.